tic
fn='Schedule_fu505_ten_times.mat';
pn='C:\Documents and Settings\herniter\My Documents\Website\Rose_Classes\MBSD2\Spring 2009\Matlab Files\Drive_Cycles\';
name=[pn,fn];
eval(['load ''',name,'''']);
time=toc;
fprintf('The amount of time to read the drive cycle by loading a mat file is %g seconds.\n',time);


tic
fn='Sch_fu505_ten_times.xls';
pn='C:\Documents and Settings\herniter\My Documents\Website\Rose_Classes\MBSD2\Spring 2009\Matlab Files\Drive_Cycles\';
name=[pn,fn];

Sch_Cycle = xlsread(name, 'Sch Cycle');
Sch_Brake_on = xlsread(name, 'Sch Brake On');
Sch_Gear_on = xlsread(name,'Sch Gear On');
Sch_Grade = xlsread(name, 'Sch Grade');
Sch_Key_on = xlsread(name, 'Sch Key On');
% %Convert the grade from percent to radians.
Sch_Grade(:,2)=atan(Sch_Grade(:,2)/100);


time=toc;
fprintf('The amount of time to read the drive cycle by reading an excel file is %g seconds.\n',time);
